Bug 28475 - Невозможно перелогиниться при использовании автологина
: Невозможно перелогиниться при использовании автологина
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gdm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-01-29 19:23 by
Modified: 2013-02-17 19:36 (History)


Attachments
gdm-autologin-session-logout.patch (1.15 KB, patch)
2013-02-14 14:38, Антон Мидюков
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-29 19:23:13
Gdm выдает ошибку [invalid UTF-8] при вводе имени пользователя. Выбрать
пользователя из списка пользователей также нельзя, gdm несколько секунд думает
и ни на что не ругаясь предлагает выбрать пользователя.
------- Comment #1 From 2013-02-07 17:40:59 -------
УМВР
------- Comment #2 From 2013-02-08 08:46:50 -------
Уточняю проблему. Проявляется на gdm 3.6 при использовании автоматического
входа в систему. То есть после автоматического входа, завершив сеанс, уже
невозможно авторизоваться вновь.
------- Comment #3 From 2013-02-12 19:12:40 -------
Проблему, вроде как, решили на Росе:
http://bugs.rosalinux.ru/show_bug.cgi?id=1479
------- Comment #4 From 2013-02-14 14:38:20 -------
Created an attachment (id=5738) [details]
gdm-autologin-session-logout.patch

Вытащил его из
http://download.opensuse.org/source/factory/repo/oss/suse/src/gdm-3.6.2-6.1.src.rpm
------- Comment #5 From 2013-02-14 14:42:18 -------
Проблема решается патчем gdm-autologin-session-logout.patch к пакету gdm. Прошу
пересобрать gdm 3.6 с этим патчем.
------- Comment #6 From 2013-02-17 18:29:26 -------
Официальный коммит идентичный патчу:
http://git.gnome.org/browse/gdm/commit/?h=gnome-3-6&id=12ba97b9741a9f1691f2ef7417871c148dd9fa09
Проверил работает. Пересоберите пакет и баг можно закрывать.
------- Comment #7 From 2013-02-17 18:39:13 -------
(In reply to comment #6)
> Официальный коммит идентичный патчу:
> http://git.gnome.org/browse/gdm/commit/?h=gnome-3-6&id=12ba97b9741a9f1691f2ef7417871c148dd9fa09
> Проверил работает. Пересоберите пакет и баг можно закрывать.

Спасибо. Приложу.
------- Comment #8 From 2013-02-17 19:36:25 -------
gdm-3.6.2-alt5 -> sisyphus:

* Sun Feb 17 2013 Yuri N. Sedunov <aris@altlinux> 3.6.2-alt5
- fixed relogin if autologin enabled (ALT #28475)(BGO 682467)
  patch:
http://git.gnome.org/browse/gdm/commit/?h=gnome-3-6&id=12ba97b9741a9f1691f2ef7417871c148dd9fa09